<!DOCTYPE html>
<html lang="en">
  <head>
    <title>explorer | hybrix</title>
    <meta charset="UTF-8">
    <meta name="description" content="The easiest way to find all your transactions, all major blockchains supported. Powered by hybrix the open source API for blockchain.">
    <meta name="keywords" content="Multi blockchain explorer Lisk explorer, bitcoin explorer, token explorer">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">
    <link href="https://explorer.hybrix.io" rel="cannonical"/>
    <link rel="stylesheet" type="text/css" href="./explorer.css"/>
    <link rel="icon" type="image/png" href="./img/icon.png" />
    <script src="./explorer.js"></script>
  </head>

  <body onLoad="onLoad()">

    <div id="above-the-fold" class="no-result">
      <div id="banner" class="no-result">
        <div class="wrapper">
          <span><b>Superheroes wanted!</b> Help us in our mission to unite the crypto sphere with your feedback. The explorer is in an experimental stage and we can use your opinion. <a href="https://github.com/hybrix-io" target="_BLANK">Contribute now</a></span>
        </div>
      </div>

      <header id="header" class="wrapper no-result">
        <a href="./" class="logo-small" >
          <h1><img alt="hybrix blockchain explorer" src="./img/search-logo.svg"/></h1>
        </a>

        <nav>
          <div class="dd-button">
            <img alt="menu" id="menuToggle" src="./img/hamburger.svg" onclick="toggleMenu();"/>
          </div>
          <div id="menu" style="visibility: hidden;">
            <div class="arrow-up"></div>
            <ul class="dd-menu">
              <li>
                <a href="https://api.hybrix.io/help/introduction" target="_blank">documentation</a>
              </li>
              <li>
                <a href="https://hybrix.io/" target="_blank">about hybrix</a>
              </li>
              <li class="divider"></li>
              <li>
                <a href="https://github.com/hybrix-io" target="_blank">contribute now!</a>
              </li>
            </ul>
          </div>
        </nav>
      </header>

      <main id="main" class="no-result">
        <div class="wrapper">
          <div id="searchWrapper" onKeyUp="onKeyUp(event)">
            <img class="logo" alt="hybrix blockchain explorer" src="./img/search-symbol.svg"/>

            <div id="searchBar">
              <div class="first-part" style="vertical-align:top; display:inline-block;">
                <input id="symbol" autocomplete="off" autocapitalize="off" spellcheck="false" type="text" oninput="validateSymbol()" onkeydown="validateSymbol()" onclick="showSymbols()" placeholder="token"/>
                <div id="symbols"></div>
              </div>
              <div class="second-part">
                <input id="query" autocomplete="off" autocapitalize="off" spellcheck="false" type="text" oninput="validateQuery()" onkeydown="validateQuery()" placeholder="address or transaction ID"/>
                <input id="go" disabled type="submit" value="" onclick="go()"/>
              </div>
            </div>
          </div>

          <div id="result" class="no-result">...</div>

          <div id="sample" class="no-result">
            Not sure what you're searching for? Try
            an <a onclick="trySample('address')">address</a>,
            a <a  onclick="trySample('transaction')">transaction</a>
            or a <a  onclick="trySample('conversion')">conversion</a>.
          </div>


          <div class="token-info">
            <!--<div id="symbolAbout" class="no-result" onclick="showSymbolInfo();">-->
            <div id="symbolAbout" class="no-result">
              <div id="symbolIcon" class="no-result"></div> <span id="symbolName"></span>
            </div>

            <!--<div id="symbolInfo" class="no-result" style="visibility: hidden; height: 0px;">-->
            <div id="symbolInfo" class="no-result">
            </div>
          </div>
        </div>
      </main>
    </div>

    <footer id="footer" class="no-result">
      <div id="stats">
        <svg width="9px" height="11px" viewBox="0 0 9 11" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
          <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
              <g id="bar-chart-2" fill="#999999">
                  <path d="M7.94444444,3.66666667 C7.57777778,3.66666667 7.33333333,3.91111111 7.33333333,4.27777778 L7.33333333,10.3888889 C7.33333333,10.7555556 7.57777778,11 7.94444444,11 C8.31111111,11 8.55555556,10.7555556 8.55555556,10.3888889 L8.55555556,4.27777778 C8.55555556,3.91111111 8.31111111,3.66666667 7.94444444,3.66666667 Z" ></path>
                  <path d="M4.27777778,0 C3.91111111,0 3.66666667,0.244444444 3.66666667,0.611111111 L3.66666667,10.3888889 C3.66666667,10.7555556 3.91111111,11 4.27777778,11 C4.64444444,11 4.88888889,10.7555556 4.88888889,10.3888889 L4.88888889,0.611111111 C4.88888889,0.244444444 4.64444444,0 4.27777778,0 Z" ></path>
                  <path d="M0.611111111,6.11111111 C0.244444444,6.11111111 0,6.35555556 0,6.72222222 L0,10.3888889 C0,10.7555556 0.244444444,11 0.611111111,11 C0.977777778,11 1.22222222,10.7555556 1.22222222,10.3888889 L1.22222222,6.72222222 C1.22222222,6.35555556 0.977777778,6.11111111 0.611111111,6.11111111 Z" ></path>
              </g>
          </g>
        </svg>
        &nbsp;
        hybrix currently supports
        <span id="stats-tokens">378</span>
        tokens on
        <span id="stats-chains">25</span>
        chains
      </div>

      <div class="footer-links">
        <div class="wrapper">
          <span>Quick links</span>
          <a href="/bitcoin-transaction-history">Bitcoin</a> -
          <a href="/Ethereum-transaction-history">Ethereum</a> -
          <a href="/Ripple-transaction-history">Ripple</a> -
          <a href="/Bitcoin-Cash-transaction-history">Bitcoin Cash</a> -
          <a href="/Litecoin-transaction-history">Litecoin</a> -
          <a href="/Tether-transaction-history">Tether</a> -
          <a href="/Stellar-transaction-history">Stellar</a> -
          <a href="/Tron-transaction-history">Tron</a> -
          <a href="/Dash-transaction-history">Dash</a> -
          <a href="/Ethereum-classic-transaction-history">Ethereum Classic</a> -
          <a href="/NEM-transaction-history">NEM</a> -
          <a href="/ZCash-transaction-history">ZCash</a> -
          <a href="/Dogecoin-transaction-history">Dogecoin</a> -
          <a href="/Lisk-transaction-history">Lisk</a> -
          <a href="/Waves-transaction-history">Waves</a> -
          <a href="/Augur-transaction-history">Augur</a> -
          <a href="/DigiByte-transaction-history">DigiByte</a> -
          <a href="/Status-transaction-history">Status</a> -
          <a href="/Dai-transaction-history">Dai</a> -
          <a href="/DigixDAO-transaction-history">DigixDAO</a> -
          <a href="/Ark-transaction-history">Ark</a> -
          <a href="/Nxt-transaction-history">Nxt</a>
        </div>
      </div>

      &copy; 2020-2023 <a href="https://hybrix.io/">hybrix</a>
    </footer>

  </body>
</html>
